Package ru.bitel.bgbilling.kernel.event.events

# Class ActionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ActionEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

Direct Known Subclasses:
  `ActionAfterEvent`, `ActionBeforeEvent`

public abstract class ActionEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ActionEvent()`
  ``
  `ActionEvent(String module, String action, int contractId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `String`
  `getModule()`
  `void`
  `setAction(String action)`
  `void`
  `setModule(String module)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionEvent

    protected ActionEvent()

  - ### ActionEvent

    public ActionEvent(String module, String action, int contractId, int userId)
    Parameters:
      `module` -
      `action` -
      `contractId` -
      `userId` -

- ## Method Details

  - ### getModule

    public String getModule()
    Returns:

  - ### setModule

    public void setModule(String module)
    Parameters:
      `module` -

  - ### getAction

    public String getAction()
    Returns:

  - ### setAction

    public void setAction(String action)
    Parameters:
      `action` -